<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <link rel="icon" href="%PUBLIC_URL%/favicon.ico" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="theme-color" content="#000000" />
    <meta
      name="description"
      content="Web site created using create-react-app"
    />
    <link rel="apple-touch-icon" href="%PUBLIC_URL%/logo192.png" />
    <link rel="manifest" href="%PUBLIC_URL%/manifest.json" />
    <title>React App</title>
  </head>
  <body>
    <div id="root"></div>
  <script defer>
    document.addEventListener('DOMContentLoaded',()=>{
    const winButton= document.querySelector('.winButton')
    function lod(){
      console.log('win')
    }
    console.log('winButton',winButton)
    if (mraid.getState() === "loading") {
      console.log(mraid.getState())
      mraid.addEventListener("ready", onSdkReady);
    } else {
      onSdkReady();
    }

    function viewableChangeHandler(viewable) {
      if (viewable) {
        showMyAd();
      } else {
        document.body.style.display = 'none';
      }
    }

    function onSdkReady() {
      mraid.addEventListener("viewableChange", viewableChangeHandler);
      /* Wait for the ad to become viewable for the first time */
      if (mraid.isViewable()) {
        showMyAd();
      }
    }

    function showMyAd() { }

    function hideMyAdd() { }
 

    function getOperatingSystem() {
        let userAgent = navigator.userAgent || navigator.vendor;
      
        if( userAgent.match( /iPad/i ) || userAgent.match( /iPhone/i ) || userAgent.match( /iPod/i ) )
        {
          console.log('iOS')
          return 'iOS';
        }
        else if( userAgent.match( /Android/i ) )
        {
          console.log('Android')
          return 'Android';
        }
        else
        {
          return 'unknown'; 
        }
      }

let operatingSystem = getOperatingSystem();
console.log(` OperatingSystem  ${operatingSystem}`)
    function openGame(){
        if (operatingSystem == 'iOS'){
           mraid.open("https://apps.apple.com/ua/app/wild-wolf/id1537563585");
        }
        if (operatingSystem == 'Android'){
            mraid.open("https://play.google.com/store/apps/details?id=com.goldendream.diggergold");
        }  
    } 
    winButton.addEventListener('click', ()=>openGame())

    })
  </script>
  </body>
</html>
